import { ref } from "vue";
import {
  cg_order_type_options,
  cg_order_source_options
} from "/@/utils/status";
export function useColumns() {
  const columns = ref([
    {
      type: "selection",
      width: 55,
      hide: ({ checkList }) => !checkList.includes("勾选列")
    },
    {
      label: "序号",
      type: "index",
      width: 70,
      hide: ({ checkList }) => !checkList.includes("序号列")
    },

    {
      label: "采购单编号",
      prop: "sequenceNo"
    },
    {
      label: "商品编号",
      prop: "goodNo"
    },
    {
      label: "商品名称",
      prop: "goodName"
    },

    // {
    //   label: "业务公司编号",
    //   prop: "companyNo"
    // },
    // {
    //   label: "业务公司名称",
    //   prop: "companyName"
    // },
    {
      label: "供应商编号",
      prop: "supplierNo"
    },
    {
      label: "供应商名称",
      prop: "supplierName"
    },
    {
      label: "订单来源",
      prop: "cgdSource",
      width: 95,
      cellRenderer: ({ row, props }) => (
        <el-tag size={props.size} type="" effect="plain">
          {(
            cg_order_source_options.find(
              item => item.value == row.cgdSource + ""
            ) || {}
          ).label || "--"}
        </el-tag>
      )
    },
    {
      label: "商品类型",
      prop: "cgdType",
      width: 95,
      cellRenderer: ({ row, props }) => (
        <el-tag size={props.size} type="" effect="plain">
          {(
            cg_order_type_options.find(
              item => item.value == row.cgdType + ""
            ) || {}
          ).label || "--"}
        </el-tag>
      )
    },

    {
      label: "采购员",
      prop: "ownerName",
      width: 75
    },

    {
      label: "创建时间",
      prop: "addtime",
      width: 155
    },
    {
      label: "操作",
      fixed: "right",
      width: 55,
      slot: "operation"
    }
  ]);

  return {
    columns
  };
}
